## org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual
Class AddObjectRegistry

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual.AddObjectRegistry

    public class AddObjectRegistry

extends java.lang.Object

Field Summary
`static AddObjectRegistry` `INSTANCE`

Constructor Summary
`AddObjectRegistry()`

Method Summary
`IAddObjectProvider` `getProvider(java.lang.Object nodeClass)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static AddObjectRegistry INSTANCE

Constructor Detail

### AddObjectRegistry

    public AddObjectRegistry()

Method Detail

### getProvider

    public IAddObjectProvider getProvider(java.lang.Object nodeClass)